//建卡登记
import React from 'react';
import RegisterPatCardComplete from './RegisterPatCardComplete';
import RegisterPatCard from './RegisterPatCard';
import {Tabs} from 'antd';
import store from '../../store';

const TabPane = Tabs.TabPane;

class PatientCard extends React.Component{
    constructor(){
        super()
        this.state = {

        }
    }
    callback(key) {
        // console.log(key);
      }
    render(){
        return(
            <div>
                <Tabs  style={{height: store.getState().tableHeight.y + 219 + 'px',overflow:'auto',overflowX:'hidden', padding:'2px 16px'}} defaultActiveKey="1" onChange={this.callback} type="card" >
                    <TabPane tab="信息录入(快捷版)" key="1"><RegisterPatCard></RegisterPatCard></TabPane>
                    <TabPane tab="信息录入(完整版)" key="2"><RegisterPatCardComplete></RegisterPatCardComplete></TabPane>
                </Tabs>
            </div>
        )
    }
}
export default PatientCard